# Class OjRatingGaugeBase

This is the base class for oj-rating-gauge WebElement, and is generated from the component's metadata. Do not modify these contents since they'll be replaced during the next generation. Put overrides into the WebElements's subclass, OjRatingGauge.ts.

#### Hierarchy

- OjWebElement
  - OjRatingGaugeBase
    - OjRatingGauge

#####
Index

### Constructors

constructor

### Methods

changeChanged
changeValue
clear
click
findElement
findElements
getAttribute
getChanged
getChangedState
getCssValue
getDescribedBy
getDisabled
getHoverState
getLabelledBy
getLocation
getMax
getMin
getOrientation
getPreserveAspectRatio
getProperty
getReadonly
getRect
getSelectedState
getSize
getSizeProperty
getStep
getText
getThresholds
getTooltip
getTrackResize
getTransientValue
getTranslations
getUnselectedState
getValue
getVisualEffects
hasSize
hasVisibility
isDisplayed
isEnabled
isSelected
sendKeys
setProperty
submit
takeScreenshot
whenBusyContextReady
whenReady

## Constructors

### constructor

- new OjRatingGaugeBase(el, locators): OjRatingGaugeBase

- Constructor. Pass an instance of WebDriver's WebElement that represents the DOM node on which we"ll perform operations.

  #### Parameters

  - ##### el: WebElement

    The basic WebElement with which this WebElement will work.

  - ##### locators: ElementLocators

  #### Returns OjRatingGaugeBase

  Inherited from OjWebElement.constructor

## Methods

### changeChanged

- changeChanged(changed): Promise<void>

- Sets the value of `changed` property. Whether there has been a value entered by the user.

  #### Parameters

  - ##### changed: boolean

    The value to set for `changed`

  #### Returns Promise<void>

### changeValue

- changeValue(value): Promise<void>

- Sets the value of `value` property. The value set on the gauge.

  #### Parameters

  - ##### value: null | number

    The value to set for `value`

  #### Returns Promise<void>

### clear

- clear(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.clear

### click

- click(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.click

### findElement

- findElement(locator): WebElementPromise

- #### Parameters

  - ##### locator: Locator

  #### Returns WebElementPromise

  #### Inherit Doc

  Inherited from OjWebElement.findElement

### findElements

- findElements(locator): Promise<WebElement[]>

- #### Parameters

  - ##### locator: Locator

  #### Returns Promise<WebElement[]>

  #### Inherit Doc

  Inherited from OjWebElement.findElements

### getAttribute

- getAttribute(attributeName): Promise<string>

- #### Parameters

  - ##### attributeName: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getAttribute

### getChanged

- getChanged(): Promise<boolean>

- Gets the value of `changed` property. Whether there has been a value entered by the user.

  #### Returns Promise<boolean>

  The value of `changed` property.

### getChangedState

- getChangedState(): Promise<ChangedState>

- Gets the value of `changedState` property. The changed shape for the gauge. Displayed after the user has set a value, or when the changed attribute of the data object is set to true.

  #### Returns Promise<ChangedState>

  The value of `changedState` property.

### getCssValue

- getCssValue(cssStyleProperty): Promise<string>

- #### Parameters

  - ##### cssStyleProperty: string

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getCssValue

### getDescribedBy

- getDescribedBy(): Promise<null | string>

- Gets the value of `describedBy` property. Specifies a relationship between this component and another element.

  #### Returns Promise<null | string>

  The value of `describedBy` property.

### getDisabled

- getDisabled(): Promise<boolean>

- Gets the value of `disabled` property. Defines whether the gauge is disabled or not. User interaction is prevented if set to true. Visual indication will not be present when custom image source is used. Other state specific svg-class-name and svg-style will be overridden by disabled default style.

  #### Returns Promise<boolean>

  The value of `disabled` property.

### getHoverState

- getHoverState(): Promise<HoverState>

- Gets the value of `hoverState` property. The shape that displays on hover.

  #### Returns Promise<HoverState>

  The value of `hoverState` property.

  #### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

### getLabelledBy

- getLabelledBy(): Promise<null | string>

- Gets the value of `labelledBy` property. Establishes a relationship between this component and another element, typically an oj-label custom element. See the Help documentation for more information.

  #### Returns Promise<null | string>

  The value of `labelledBy` property.

### getLocation

- getLocation(): Promise<ILocation>

- #### Returns Promise<ILocation>

  #### Inherit Doc

  Inherited from OjWebElement.getLocation

### getMax

- getMax(): Promise<number>

- Gets the value of `max` property. Integer value specifying the maximum value of the gauge, which determines the number of shapes or images that are displayed.

  #### Returns Promise<number>

  The value of `max` property.

### getMin

- getMin(): Promise<number>

- Gets the value of `min` property. The minimum value that can be set on the gauge by the end user. Does not affect the value set on the gauge by API.

  #### Returns Promise<number>

  The value of `min` property.

  #### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

### getOrientation

- getOrientation(): Promise<string>

- Gets the value of `orientation` property. Defines the type of rating gauge to be rendered.

  #### Returns Promise<string>

  The value of `orientation` property.

  #### Deprecated

  Since 9.0.0. Usage of vertical rating gauges is not recommended.

### getPreserveAspectRatio

- getPreserveAspectRatio(): Promise<string>

- Gets the value of `preserveAspectRatio` property. Specifies whether the images provided should show up at their defined aspect ratios. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `preserveAspectRatio` property.

### getProperty

- getProperty<T>(propertyName): Promise<T>

- Get a named property value from this component. This function will wait for the application's busy context to complete before attempting to get the property value.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The name of the property

  #### Returns Promise<T>

  A Promise that yields a value for the named property.

  Inherited from OjWebElement.getProperty

### getReadonly

- getReadonly(): Promise<boolean>

- Gets the value of `readonly` property. Defines whether the value of the gauge can be changed by the end user.

  #### Returns Promise<boolean>

  The value of `readonly` property.

### getRect

- getRect(): Promise<IRectangle>

- #### Returns Promise<IRectangle>

  #### Inherit Doc

  Inherited from OjWebElement.getRect

### getSelectedState

- getSelectedState(): Promise<SelectedState>

- Gets the value of `selectedState` property. The selected shape for the gauge.

  #### Returns Promise<SelectedState>

  The value of `selectedState` property.

### getSize

- getSize(): Promise<ISize>

- #### Returns Promise<ISize>

  #### Inherit Doc

  Inherited from OjWebElement.getSize

### getSizeProperty

- getSizeProperty(): Promise<string>

- Gets the value of `size` property. Specifies the size of the rating gauge item. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `size` property.

### getStep

- getStep(): Promise<number>

- Gets the value of `step` property. Specifies the increment by which values can be specified by the end user.

  #### Returns Promise<number>

  The value of `step` property.

### getText

- getText(): Promise<string>

- #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.getText

### getThresholds

- getThresholds(): Promise<Thresholds[]>

- Gets the value of `thresholds` property. An array of objects specifying the gauge thresholds.

  #### Returns Promise<Thresholds[]>

  The value of `thresholds` property.

### getTooltip

- getTooltip(): Promise<Tooltip>

- Gets the value of `tooltip` property. An object containing an optional callback function for tooltip customization.

  #### Returns Promise<Tooltip>

  The value of `tooltip` property.

### getTrackResize

- getTrackResize(): Promise<string>

- Gets the value of `trackResize` property. Defines whether the element will automatically render in response to changes in size. See the Help documentation for more information.

  #### Returns Promise<string>

  The value of `trackResize` property.

### getTransientValue

- getTransientValue(): Promise<null | number>

- Gets the value of `transientValue` property. Read-only property used for retrieving the transient value from the component. See the Help documentation for more information.

  #### Returns Promise<null | number>

  The value of `transientValue` property.

### getTranslations

- getTranslations(): Promise<null | Translations>

- Gets the value of `translations` property. A collection of translated resources from the translation bundle, or null if this component has no resources.

  #### Returns Promise<null | Translations>

  The value of `translations` property.

### getUnselectedState

- getUnselectedState(): Promise<UnselectedState>

- Gets the value of `unselectedState` property. The unselected shape for the gauge.

  #### Returns Promise<UnselectedState>

  The value of `unselectedState` property.

  #### Deprecated

  Since 14.0.0. This is not recommended in the Redwood design system.

### getValue

- getValue(): Promise<null | number>

- Gets the value of `value` property. The value set on the gauge.

  #### Returns Promise<null | number>

  The value of `value` property.

### getVisualEffects

- getVisualEffects(): Promise<string>

- Gets the value of `visualEffects` property. Defines whether theme specific visual effects such as overlays and gradients are applied to the gauge.

  #### Returns Promise<string>

  The value of `visualEffects` property.

  #### Deprecated

  Since 12.1.0. Overlays and gradients are not supported in Redwood theme and are not recommended.

### `Protected` hasSize

- hasSize(): Condition<Promise<boolean>>

- Create a wait condition that is satisfied when the element's DOM has a non-zero size.

  #### Returns Condition<Promise<boolean>>

  The Condition to be used with driver.wait() that's satisfied when the element's DOM has a non-zero size.

  #### Deprecated

  Since 11.0.0. Call the appropriate WebElement method to test the size of the element.

  Inherited from OjWebElement.hasSize

### `Protected` hasVisibility

- hasVisibility(): Condition<Promise<boolean>>

- Create a wait condition that is satisfid when the element is visible. The condition is satisfied when the element is displayed, as reported by #isDisplayed, and is scrolled into view. This is method is deprecated. Use WebElement.isDisplayed instead to test the display of the element, and scroll it into view if necessary.

  #### Returns Condition<Promise<boolean>>

  #### Deprecated

  Inherited from OjWebElement.hasVisibility

### isDisplayed

- isDisplayed(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isDisplayed

### isEnabled

- isEnabled(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isEnabled

### isSelected

- isSelected(): Promise<boolean>

- #### Returns Promise<boolean>

  #### Inherit Doc

  Inherited from OjWebElement.isSelected

### sendKeys

- sendKeys(...varArgs): Promise<void>

- #### Parameters

  - ##### `Rest` ...varArgs: (string | number | Promise<string | number>)[]

  #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.sendKeys

### `Protected` setProperty

- setProperty<T>(propertyName, value): Promise<void>

- Set a property value on the remote element. This function first waits for the BusyContext to clear before setting the property, then after setting, waits again to ensure that no additional busy states were created due to the property setting.

  #### Type Parameters

  - #### T = string

  #### Parameters

  - ##### propertyName: string

    The property name to set

  - ##### value: T

    The value to set for the property

  #### Returns Promise<void>

  A Promise which resolves when the remote property has been set to the value. Any value returned from the call to set the remote property is returned in the Promise.

  Inherited from OjWebElement.setProperty

### submit

- submit(): Promise<void>

- #### Returns Promise<void>

  #### Inherit Doc

  Inherited from OjWebElement.submit

### takeScreenshot

- takeScreenshot(optScroll?): Promise<string>

- #### Parameters

  - ##### `Optional` optScroll: boolean

  #### Returns Promise<string>

  #### Inherit Doc

  Inherited from OjWebElement.takeScreenshot

### whenBusyContextReady

- whenBusyContextReady(): Promise<void>

- Returns a Promise that is resolved when the application's busy state reports ready. This method checks only that the application's busy context is ready, and not that the DOM element is actually displayed or has a physical size, such as is the case with #whenReady. Operations which are read-only in nature should call this method prior to execution.

  #### Returns Promise<void>

  A Promise which is resolved when the page's busy state is ready.

  Inherited from OjWebElement.whenBusyContextReady

### whenReady

- whenReady(): Promise<void>

- Returns a Promise that is resolved when the element is ready for interaction--it is visible, has a size, and the app's busy context is ready. Operations on the DOM which rely on its physical location and size to be in a "ready" state should use this command, such as clicking, sending keys, locating child elements, and so on.

  #### Returns Promise<void>

  A Promise that's resolved when all conditions are met.

  Inherited from OjWebElement.whenReady

Generated using TypeDoc